<!doctype html>
<html>
<head>
    <meta name="layout" content="main"/>
    <title>Welcome to Grails</title>

    <asset:link rel="icon" href="favicon.ico" type="image/x-ico" />
</head>
<body>
    <content tag="nav">
        <%--<li class="dropdown">
            <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">Application Status <span class="caret"></span></a>
            <ul class="dropdown-menu">
                <li><a href="#">Environment: ${grails.util.Environment.current.name}</a></li>
                <li><a href="#">App profile: ${grailsApplication.config.grails?.profile}</a></li>
                <li><a href="#">App version:
                    <g:meta name="info.app.version"/></a>
                </li>
                <li role="separator" class="divider"></li>
                <li><a href="#">Grails version:
                    <g:meta name="info.app.grailsVersion"/></a>
                </li>
                <li><a href="#">Groovy version: ${GroovySystem.getVersion()}</a></li>
                <li><a href="#">JVM version: ${System.getProperty('java.version')}</a></li>
                <li role="separator" class="divider"></li>
                <li><a href="#">Reloading active: ${grails.util.Environment.reloadingAgentEnabled}</a></li>
            </ul>
        </li>
        <li class="dropdown">
            <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">Artefacts <span class="caret"></span></a>
            <ul class="dropdown-menu">
                <li><a href="#">Controllers: ${grailsApplication.controllerClasses.size()}</a></li>
                <li><a href="#">Domains: ${grailsApplication.domainClasses.size()}</a></li>
                <li><a href="#">Services: ${grailsApplication.serviceClasses.size()}</a></li>
                <li><a href="#">Tag Libraries: ${grailsApplication.tagLibClasses.size()}</a></li>
            </ul>
        </li>
        <li class="dropdown">
            <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">Installed Plugins <span class="caret"></span></a>
            <ul class="dropdown-menu">
                <g:each var="plugin" in="${applicationContext.getBean('pluginManager').allPlugins}">
                    <li><a href="#">${plugin.name} - ${plugin.version}</a></li>
                </g:each>
            </ul>
        </li>--%>
    </content>

    <%--<div class="svg" role="presentation">
        <div class="grails-logo-container">
            <asset:image src="grails-cupsonly-logo-white.svg" class="grails-logo"/>
        </div>
    </div>--%>

    <div id="content" role="main">
        <section class="row colset-2-its">
            <h1 style="padding-bottom: 65px;">Welcome to an Automated Home</h1>

        </section>
        <div id="venueListBlock">
            <ul>
                <li>
                <g:link controller="venue" action="index">
                <input type="button" value="Venue List" class="button" style="margin-left: 50px; 
                margin-bottom: 5px;font-weight: bold;"/> 
                </g:link>
                </li>

                <li>
                <g:link controller="device" action="index">
                <input type="button" value="Device List" class="button" style="margin-left: 50px;
                margin-bottom: 5px;margin-top: 5px;font-weight: bold;"/> 
                </g:link>
                </li>
                
                <li>
                <g:link controller="venue" action="create">
                <input type="button" value="Create Venue" class="button" style="margin-left: 50px;
                margin-bottom: 5px;margin-top: 5px;font-weight: bold;"/> 
                </g:link>
                </li>
                
                <li>
                <g:link controller="device" action="create">
                <input type="button" value="Create Device" class="button" style="margin-left: 50px;
                margin-bottom: 5px;margin-top: 5px;font-weight: bold;"/> 
                </g:link>
                </li>

            </ul>

        </div>
    </div>

</body>
</html>
